Unverified Commit 79cfa68c authored by Squirrel's avatar Squirrel Committed by GitHub
Browse files

Removed unneeded deps (#3658)



* Removed unneeded deps (except under bridge)
Co-authored-by: Andronik Ordian's avatarAndronik Ordian <write@reusable.software>
parent 56a8ebb5
Pipeline #154779 passed with stages
in 39 minutes and 32 seconds
......@@ -1500,12 +1500,6 @@ dependencies = [
"syn",
]
[[package]]
name = "diff"
version = "0.1.12"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "0e25ea47919b1560c4e3b7fe0aaab9becf5b84a10325ddf7db0f0ba5e1026499"
[[package]]
name = "difference"
version = "2.0.0"
......@@ -2095,7 +2089,7 @@ dependencies = [
"frame-support-test-pallet",
"frame-system",
"parity-scale-codec",
"pretty_assertions 0.6.1",
"pretty_assertions",
"rustversion",
"serde",
"sp-core",
......@@ -4080,7 +4074,6 @@ dependencies = [
name = "metered-channel"
version = "0.9.9"
dependencies = [
"assert_matches",
"derive_more",
"futures 0.3.16",
"futures-timer 3.0.2",
......@@ -5734,10 +5727,8 @@ dependencies = [
"futures 0.3.16",
"futures-timer 3.0.2",
"lru",
"maplit",
"parity-scale-codec",
"polkadot-erasure-coding",
"polkadot-node-core-runtime-api",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-node-subsystem",
......@@ -5746,7 +5737,6 @@ dependencies = [
"polkadot-primitives",
"rand 0.8.4",
"sc-network",
"sp-application-crypto",
"sp-core",
"sp-keyring",
"sp-keystore",
......@@ -5882,22 +5872,17 @@ dependencies = [
"futures-timer 3.0.2",
"lazy_static",
"lru",
"maplit",
"parity-scale-codec",
"polkadot-erasure-coding",
"polkadot-node-core-runtime-api",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-node-subsystem-util",
"polkadot-primitives",
"rand 0.8.4",
"sc-keystore",
"sc-network",
"smallvec",
"sp-application-crypto",
"sp-core",
"sp-keyring",
"sp-keystore",
"sp-tracing",
......@@ -5992,7 +5977,6 @@ dependencies = [
"kvdb",
"kvdb-memorydb",
"lru",
"maplit",
"merlin",
"parity-scale-codec",
"parking_lot 0.11.1",
......@@ -6003,13 +5987,10 @@ dependencies = [
"polkadot-node-subsystem-util",
"polkadot-overseer",
"polkadot-primitives",
"rand 0.8.4",
"rand_core 0.5.1",
"sc-client-api",
"sc-keystore",
"schnorrkel",
"sp-application-crypto",
"sp-blockchain",
"sp-consensus",
"sp-consensus-babe",
"sp-consensus-slots",
......@@ -6162,7 +6143,6 @@ dependencies = [
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-node-subsystem-util",
"polkadot-overseer",
"polkadot-primitives",
"sc-keystore",
"sp-core",
......@@ -6295,15 +6275,10 @@ dependencies = [
name = "polkadot-node-metrics"
version = "0.9.9"
dependencies = [
"async-trait",
"futures 0.3.16",
"futures-timer 3.0.2",
"jemalloc-ctl",
"metered-channel",
"sc-network",
"sp-application-crypto",
"sp-core",
"sp-keystore",
"substrate-prometheus-endpoint",
]
......@@ -6333,7 +6308,6 @@ dependencies = [
"parity-scale-codec",
"polkadot-parachain",
"polkadot-primitives",
"polkadot-statement-table",
"schnorrkel",
"serde",
"sp-application-crypto",
......@@ -6342,9 +6316,7 @@ dependencies = [
"sp-core",
"sp-keystore",
"sp-maybe-compressed-blob",
"sp-runtime",
"thiserror",
"tracing",
"zstd",
]
......@@ -6363,55 +6335,34 @@ version = "0.9.9"
dependencies = [
"async-trait",
"futures 0.3.16",
"futures-timer 3.0.2",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.8",
"polkadot-node-primitives",
"polkadot-node-subsystem",
"polkadot-node-subsystem-util",
"polkadot-overseer",
"polkadot-primitives",
"polkadot-statement-table",
"sc-keystore",
"sc-network",
"smallvec",
"sp-application-crypto",
"sp-core",
"sp-keyring",
"sp-keystore",
"tracing",
]
[[package]]
name = "polkadot-node-subsystem-types"
version = "0.9.9"
dependencies = [
"assert_matches",
"async-std",
"async-trait",
"derive_more",
"futures 0.3.16",
"futures-timer 3.0.2",
"lazy_static",
"log",
"mick-jaeger",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.8",
"polkadot-node-jaeger",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-node-subsystem-test-helpers",
"polkadot-overseer-gen",
"polkadot-primitives",
"polkadot-statement-table",
"sc-network",
"smallvec",
"sp-core",
"substrate-prometheus-endpoint",
"thiserror",
"tracing",
]
[[package]]
......@@ -6423,28 +6374,23 @@ dependencies = [
"derive_more",
"env_logger 0.9.0",
"futures 0.3.16",
"futures-timer 3.0.2",
"itertools 0.10.1",
"log",
"lru",
"metered-channel",
"parity-scale-codec",
"parking_lot 0.11.1",
"pin-project 1.0.8",
"polkadot-node-jaeger",
"polkadot-node-metrics",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-overseer",
"polkadot-primitives",
"rand 0.8.4",
"sc-network",
"sp-application-crypto",
"sp-core",
"sp-keystore",
"substrate-prometheus-endpoint",
"thiserror",
"tracing",
]
......@@ -6454,11 +6400,9 @@ name = "polkadot-overseer"
version = "0.9.9"
dependencies = [
"assert_matches",
"async-trait",
"femme",
"futures 0.3.16",
"futures-timer 3.0.2",
"kv-log-macro",
"lru",
"metered-channel",
"parking_lot 0.11.1",
......@@ -6479,7 +6423,6 @@ dependencies = [
name = "polkadot-overseer-all-subsystems-gen"
version = "0.9.9"
dependencies = [
"assert_matches",
"proc-macro2",
"quote",
"syn",
......@@ -6540,7 +6483,6 @@ dependencies = [
"parity-util-mem",
"polkadot-core-primitives",
"polkadot-parachain",
"pretty_assertions 0.7.2",
"serde",
"sp-api",
"sp-application-crypto",
......@@ -6552,12 +6494,10 @@ dependencies = [
"sp-io",
"sp-keystore",
"sp-runtime",
"sp-serializer",
"sp-staking",
"sp-std",
"sp-trie",
"sp-version",
"thiserror",
]
[[package]]
......@@ -6569,7 +6509,6 @@ dependencies = [
"jsonrpc-core",
"pallet-mmr-rpc",
"pallet-transaction-payment-rpc",
"parity-scale-codec",
"polkadot-primitives",
"sc-chain-spec",
"sc-client-api",
......@@ -6578,7 +6517,6 @@ dependencies = [
"sc-consensus-epochs",
"sc-finality-grandpa",
"sc-finality-grandpa-rpc",
"sc-keystore",
"sc-rpc",
"sc-sync-state-rpc",
"sc-transaction-pool-api",
......@@ -6690,10 +6628,8 @@ dependencies = [
"pallet-balances",
"pallet-beefy-mmr",
"pallet-election-provider-multi-phase",
"pallet-offences",
"pallet-session",
"pallet-staking",
"pallet-staking-reward-curve",
"pallet-timestamp",
"pallet-transaction-payment",
"pallet-treasury",
......@@ -6707,19 +6643,15 @@ dependencies = [
"serde_json",
"slot-range-helper",
"sp-api",
"sp-application-crypto",
"sp-core",
"sp-inherents",
"sp-io",
"sp-keyring",
"sp-keystore",
"sp-runtime",
"sp-session",
"sp-staking",
"sp-std",
"sp-trie",
"static_assertions",
"trie-db",
"xcm",
]
......@@ -6739,14 +6671,10 @@ dependencies = [
"log",
"pallet-authority-discovery",
"pallet-authorship",
"pallet-babe",
"pallet-balances",
"pallet-offences",
"pallet-session",
"pallet-staking",
"pallet-staking-reward-curve",
"pallet-timestamp",
"pallet-treasury",
"pallet-vesting",
"parity-scale-codec",
"polkadot-primitives",
......@@ -6755,9 +6683,7 @@ dependencies = [
"rustc-hex",
"sc-keystore",
"serde",
"serde_json",
"sp-api",
"sp-application-crypto",
"sp-core",
"sp-inherents",
"sp-io",
......@@ -6767,8 +6693,6 @@ dependencies = [
"sp-session",
"sp-staking",
"sp-std",
"sp-trie",
"sp-version",
"xcm",
"xcm-executor",
]
......@@ -6899,13 +6823,8 @@ dependencies = [
"sc-finality-grandpa",
"sc-service",
"sc-tracing",
"sc-transaction-pool",
"sp-api",
"sp-consensus",
"sp-consensus-babe",
"sp-inherents",
"sp-keyring",
"sp-keystore",
"sp-runtime",
"structopt",
"test-runner",
......@@ -7210,18 +7129,6 @@ dependencies = [
"output_vt100",
]
[[package]]
name = "pretty_assertions"
version = "0.7.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "1cab0e7c02cf376875e9335e0ba1da535775beb5450d21e1dffca068818ed98b"
dependencies = [
"ansi_term 0.12.1",
"ctor",
"diff",
"output_vt100",
]
[[package]]
name = "primitive-types"
version = "0.10.1"
......@@ -7886,7 +7793,6 @@ dependencies = [
"frame-support",
"frame-system",
"frame-system-rpc-runtime-api",
"hex-literal",
"log",
"pallet-authority-discovery",
"pallet-authorship",
......@@ -7908,7 +7814,6 @@ dependencies = [
"pallet-proxy",
"pallet-session",
"pallet-staking",
"pallet-staking-reward-curve",
"pallet-sudo",
"pallet-timestamp",
"pallet-transaction-payment",
......@@ -10097,13 +10002,10 @@ name = "staking-miner"
version = "0.9.9"
dependencies = [
"env_logger 0.9.0",
"frame-election-provider-support",
"frame-support",
"frame-system",
"hex",
"jsonrpsee-ws-client",
"kusama-runtime",
"lazy_static",
"log",
"pallet-balances",
"pallet-election-provider-multi-phase",
......@@ -10120,7 +10022,6 @@ dependencies = [
"serde_json",
"sp-core",
"sp-io",
"sp-npos-elections",
"sp-runtime",
"sp-version",
"structopt",
......@@ -10484,7 +10385,6 @@ dependencies = [
"polkadot-primitives",
"polkadot-service",
"polkadot-test-service",
"sc-authority-discovery",
"sc-cli",
"sc-service",
"sp-core",
......@@ -10507,7 +10407,6 @@ name = "test-parachains"
version = "0.9.9"
dependencies = [
"parity-scale-codec",
"polkadot-parachain",
"sp-core",
"test-parachain-adder",
"test-parachain-halt",
......@@ -11619,7 +11518,6 @@ dependencies = [
"sp-transaction-pool",
"sp-trie",
"sp-version",
"static_assertions",
"substrate-wasm-builder",
"tiny-keccak",
"xcm",
......@@ -11739,7 +11637,6 @@ version = "0.9.9"
dependencies = [
"frame-support",
"frame-system",
"impl-trait-for-tuples",
"pallet-balances",
"pallet-transaction-payment",
"pallet-xcm",
......@@ -11825,7 +11722,6 @@ dependencies = [
"pallet-balances",
"pallet-xcm",
"parity-scale-codec",
"paste 1.0.5",
"polkadot-core-primitives",
"polkadot-parachain",
"polkadot-runtime-parachains",
......
......@@ -40,6 +40,6 @@ rococo-runtime = { path = "../../runtime/rococo", optional = true }
polkadot-primitives = { path = "../../primitives" }
[features]
kusama = [ "kusama-runtime" ]
rococo = [ "rococo-runtime" ]
westend = [ "westend-runtime" ]
kusama = ["kusama-runtime"]
rococo = ["rococo-runtime"]
westend = ["westend-runtime"]
......@@ -23,23 +23,19 @@ polkadot-primitives = { path = "../../../primitives" }
polkadot-node-primitives = { path = "../../primitives" }
polkadot-node-jaeger = { path = "../../jaeger" }
sc-client-api = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
sc-keystore = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
sp-consensus = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
sp-consensus-slots = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
sp-blockchain = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false, features = ["full_crypto"] }
sp-runtime = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
[dev-dependencies]
parking_lot = "0.11.1"
rand_core = "0.5.1" # should match schnorrkel
rand_core = "0.5.1" # should match schnorrkel
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-consensus-babe = { git = "https://github.com/paritytech/substrate", branch = "master" }
maplit = "1.0.2"
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
assert_matches = "1.4.0"
kvdb-memorydb = "0.10.0"
rand = "0.8"
......@@ -22,12 +22,11 @@ sc-keystore = { git = "https://github.com/paritytech/substrate", branch = "maste
[dev-dependencies]
kvdb-memorydb = "0.10.0"
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers"}
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
assert_matches = "1.4.0"
polkadot-overseer = { path = "../../overseer" }
[features]
# If not enabled, the dispute coordinator will do nothing.
......
......@@ -11,5 +11,4 @@ futures-timer = "3.0.2"
derive_more = "0.99"
[dev-dependencies]
assert_matches = "1.4.0"
futures = { version = "0.3.15", features = ["thread-pool"] }
......@@ -6,16 +6,11 @@ edition = "2018"
description = "Subsystem traits and message definitions"
[dependencies]
async-trait = "0.1.51"
futures = "0.3.15"
futures-timer = "3.0.2"
metered-channel = { path = "../metered-channel"}
metered-channel = { path = "../metered-channel" }
sc-network = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
substrate-prometheus-endpoint = { git = "https://github.com/paritytech/substrate", branch = "master" }
jemalloc-ctl = { version = "0.3.3", optional = true }
......
......@@ -7,16 +7,14 @@ edition = "2018"
[dependencies]
futures = "0.3.15"
tracing = "0.1.26"
parity-scale-codec = { version = "2.0.0", features = ["std"] }
parity-scale-codec = { version = "2.0.0", features = ["std"] }
polkadot-primitives = { path = "../../../primitives" }
polkadot-erasure-coding = { path = "../../../erasure-coding" }
polkadot-subsystem = { package = "polkadot-node-subsystem", path = "../../subsystem" }
polkadot-node-network-protocol = { path = "../../network/protocol" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
polkadot-node-primitives = { path = "../../primitives" }
polkadot-node-core-runtime-api = { path = "../../core/runtime-api" }
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.26"
rand = "0.8.3"
......@@ -31,4 +29,3 @@ sp-tracing = { git = "https://github.com/paritytech/substrate", branch = "master
sc-network = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures-timer = "3.0.2"
assert_matches = "1.4.0"
maplit = "1.0"
......@@ -8,32 +8,25 @@ edition = "2018"
futures = "0.3.15"
tracing = "0.1.26"
derive_more = "0.99.14"
parity-scale-codec = { version = "2.0.0", features = ["std"] }
parity-scale-codec = { version = "2.0.0", features = ["std"] }
polkadot-primitives = { path = "../../../primitives" }
polkadot-erasure-coding = { path = "../../../erasure-coding" }
polkadot-subsystem = { package = "polkadot-node-subsystem", path = "../../subsystem" }
polkadot-node-network-protocol = { path = "../../network/protocol" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
polkadot-node-primitives = { path = "../../primitives" }
polkadot-node-core-runtime-api = { path = "../../core/runtime-api" }
sc-network = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.26"
rand = "0.8.3"
lru = "0.6.6"
[dev-dependencies]
async-trait = "0.1.51"
polkadot-subsystem-testhelpers = { package = "polkadot-node-subsystem-test-helpers", path = "../../subsystem-test-helpers" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-tracing = { git = "https://github.com/paritytech/substrate", branch = "master" }
sc-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
sc-network = {git = "https://github.com/paritytech/substrate", branch = "master" }
futures-timer = "3.0.2"
assert_matches = "1.4.0"
maplit = "1.0"
smallvec = "1.6.1"
lazy_static = "1.4.0"
......@@ -20,7 +20,6 @@ rand_chacha = { version = "0.3.1", default-features = false }
tracing = "0.1.26"
[dev-dependencies]
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-consensus-babe = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
......@@ -5,7 +5,6 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
[dependencies]
async-trait = "0.1.51"
client = { package = "sc-client-api", git = "https://github.com/paritytech/substrate", branch = "master" }
sp-api = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = "0.3.15"
......@@ -26,7 +25,6 @@ metered-channel = { path = "../metered-channel" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = { version = "0.3.15", features = ["thread-pool"] }
femme = "2.1.1"
kv-log-macro = "1.0.7"
assert_matches = "1.4.0"
[features]
......
......@@ -12,7 +12,6 @@ proc-macro = true
syn = { version = "1.0.60", features = ["full", "extra-traits"] }
quote = "1.0.9"
proc-macro2 = "1.0.24"
assert_matches = "1.5.0"
[dev-dependencies]
trybuild = "1.0.45"
......@@ -9,19 +9,16 @@ description = "Primitives types for the Node-side"
bounded-vec = "0.4"
futures = "0.3.15"
polkadot-primitives = { path = "../../primitives" }
polkadot-statement-table = { path = "../../statement-table" }
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
runtime_primitives = { package = "sp-runtime", git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-consensus-vrf = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-consensus-babe = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-maybe-compressed-blob = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-maybe-compressed-blob = { git = "https://github.com/paritytech/substrate", branch = "master" }
polkadot-parachain = { path = "../../parachain", default-features = false }
schnorrkel = "0.9.1"
thiserror = "1.0.26"
tracing = "0.1.26"
serde = { version = "1.0.130", features = ["derive"] }
[target.'cfg(not(target_os = "unknown"))'.dependencies]
......
......@@ -8,23 +8,15 @@ description = "Subsystem traits and message definitions"
[dependencies]
async-trait = "0.1.51"
futures = "0.3.15"
futures-timer = "3.0.2"
tracing = "0.1.26"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
parking_lot = "0.11.1"
pin-project = "1.0.8"
polkadot-node-primitives = { path = "../primitives" }
polkadot-node-subsystem = { path = "../subsystem" }
polkadot-node-subsystem-util = { path = "../subsystem-util" }
polkadot-primitives = { path = "../../primitives" }
polkadot-statement-table = { path = "../../statement-table" }
sc-network = { git = "https://github.com/paritytech/substrate", branch = "master" }
smallvec = "1.6.1"
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
sc-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }